<div>
  <img src="../../../assets/img/Users.png" alt="User Icon" id="icon">
</div>
<form #signUpForm="ngForm" (ngSubmit)="signUpForm.valid && onSubmit(signUpForm)">
  <input type="text" #username="ngModel" [(ngModel)]="userService.selectedUser.username" name="username"
    placeholder="username" required [ngClass]="{'invalid-textbox' :signUpForm.submitted && !username.valid }">
  <div *ngIf="signUpForm.submitted && !username.valid">
    <label class="validation-message">This field is required.</label>
  </div>
  <input type="text" #email="ngModel" [(ngModel)]="userService.selectedUser.email" name="email" placeholder="Email"
    required [pattern]="emailRegex" [ngClass]="{'invalid-textbox' :signUpForm.submitted && !email.valid }">
  <div *ngIf="signUpForm.submitted && email.errors">
    <label *ngIf="email.errors.required" class="validation-message">This field is required.</label>
    <label *ngIf="email.errors.pattern" class="validation-message">Invalid email address.</label>
  </div>
  <input type="password" #password="ngModel" [(ngModel)]="userService.selectedUser.password" name="password"
    placeholder="Password" minlength="4" required
    [ngClass]="{'invalid-textbox' :signUpForm.submitted && !password.valid }">
  <div *ngIf="signUpForm.submitted && password.errors">
    <label *ngIf="password.errors.required" class="validation-message">This field is required.</label>
    <label *ngIf="password.errors.minlength" class="validation-message">Enter atleast 4 characters.</label>
  </div>
  <input type="text" #role="ngModel" [(ngModel)]="userService.selectedUser.role" name="role" placeholder="role"
    required />

  <input type="submit" value="Sign Up">
</form>

<!-- Success message -->
<div class="success" *ngIf="showSuccessMessage">
  Saved Successfully
</div>
<div class="alert" *ngIf="serverErrorMessages">
  {{serverErrorMessages}}
</div>